/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dawn.h"

#define TILE_ID_NULL 0
#define TILE_ID_GRASS 1
#define TILE_ID_WATER 2

typedef struct {
  uint8_t id;
} tile_t;

/**
 * Returns whether or not the tile is solid.
 * 
 * @param tile Tile to check.
 * @return True if the tile is solid, false otherwise.
 */
bool_t tileIsSolid(const tile_t tile);