/**
 * Copyright (c) 2023 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dawn.h"

/**
 * Returns the minimum of two values.
 * 
 * @param a First value.
 * @param b Second value.
 * @return The minimum of the two values.
 */
#define mathMin(a, b) ((a) < (b) ? (a) : (b))

/**
 * Returns the maximum of two values.
 * 
 * @param a First value.
 * @param b Second value.
 * @return The maximum of the two values.
 */
#define mathMax(a, b) ((a) > (b) ? (a) : (b))

/**
 * Clamps a value between two values.
 * 
 * @param x Value to clamp.
 * @param a Minimum value.
 * @param b Maximum value.
 * @return The clamped value.
 */
#define mathClamp(x, a, b) mathMin(mathMax(x, a), b)