/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "input.h"
#include "linuxhost.h"

inputstate_t inputGetState(const inputbind_t bind) {
  int32_t k = LINUX_TERM_HOST_KEY_PRESS;

  if(k == -1) return false;
  
  switch(bind) {
    case INPUT_BIND_DOWN:
      return k == 's';

    case INPUT_BIND_UP:
      return k == 'w';

    case INPUT_BIND_LEFT:
      return k == 'a';

    case INPUT_BIND_RIGHT:
      return k == 'd';
    
    case INPUT_BIND_ACCEPT:
      return k == 'e';

    case INPUT_BIND_CANCEL:
      return k == 'q';

    default:
      return false;
  }
}